Skip to main content
GET
Get task activity

Authorizations

Authorization
string
header
required

API key or session token (Bearer)

Path Parameters

taskId
string
required

Response

List of activities for the task

id
string
required
taskId
string
required
type
string
required

One of: comment, task, create, status_changed, priority_changed, assignee_changed, unassigned, due_date_changed, title_changed, description_changed.

createdAt
string<date-time>
required
updatedAt
string<date-time>
required
userId
string | null
required
content
string | null
required
externalUserName
string | null
required

Set when the activity was imported from another tool.

externalUserAvatar
string | null
required
externalSource
string | null
required

The tool it was imported from, e.g. planka, trello, jira.

externalUrl
string | null
required
eventData
any

Type-specific payload, e.g. { oldStatus, newStatus } for status_changed. Null for plain comments.